#
# spec file for package jakarta-commons-discovery (Version 0.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv jakarta-commons-logging java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils junit klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           jakarta-commons-discovery
BuildRequires:  ant jakarta-commons-logging java-1_4_2-sun-devel junit update-alternatives xml-commons-apis
%define short_name commons-discovery
%define section    free
Summary:        Jakarta Commons Discovery
Version:        0.3
Release:        17.2
Group:          Development/Libraries/Java
License:        Apache
URL:            http://jakarta.apache.org/commons/discovery.html
BuildArch:      noarch
Source0:        http://www.apache.org/dist/jakarta/commons/discovery/source/commonsdiscovery0.3src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       jakarta-commons-logging >= 0:1.0.1

%description
The Discovery component is about discovering, or finding,
implementations for pluggable interfaces.  Pluggable interfaces are
specified with the intent that multiple implementations are, or will
be, available to provide the service described by the interface. 
Discovery provides facilities for finding and instantiating classes and
for lifecycle management of singleton (factory) classes.



%debug_package
%package javadoc
PreReq:         coreutils
Group:          Development/Libraries/Java
Summary:        Javadoc for jakarta-commons-discovery

%description javadoc
The Discovery component is about discovering, or finding,
implementations for pluggable interfaces.  Pluggable interfaces are
specified with the intent that multiple implementations are, or will
be, available to provide the service described by the interface. 
Discovery provides facilities for finding and instantiating classes,
and for lifecycle management of singleton (factory) classes.

This package contains the javadoc documentation for the Jakarta Commons
Discovery Package.



%prep
%setup -q -n commons-discovery-%{version}
chmod u+w .
# No NOTICE.txt file in the sources
touch NOTICE.txt 
# -----------------------------------------------------------------------------

%build
ant \
  -Djunit.jar=%(find-jar junit) \
  -Dlogger.jar=%(find-jar jakarta-commons-logging) \
  test.discovery dist
# -----------------------------------------------------------------------------

%install
# jar
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{version}.jar %{short_name}-%{version}.jar && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT
# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%changelog -n jakarta-commons-discovery
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 0.3 from JPackage.org
* Mon Sep 06 2004 - skh@suse.de
- Initial package created with version 0.2 (JPackage 1.5)
